Firefox4 Rated 1 out of 5 stars

this is not a review but bug report. although it has confirmed compatibility with FF4, it displays the very same problem as favicon picker 3, thus screwing firefox's UI completely. Please fix it to work with FF4, or lower the highest supported version to 3.x, thanks.

This review is for a previous version of the add-on (0.6.1.14).